Subject: Re: [lamps] WG Last Call for draft-ietf-lamps-cms-shakes-04

From: Russ Housley <[email-masked]>
Date: Mon, 17 Dec 2018 11:29:31 -0500

With no one raising any concerns, it seems that we have reached consensus on this document.

I will begin the shepherd write-up, and once that is posted in the datatracker, I will ask the IESG to publish the document.

Russ

> On Nov 30, 2018, at 5:40 PM, Russ Housley <[email-masked]> wrote:
> 
> This is the LAMPS WG Last Call for "Use of the SHAKE One-way Hash Functions in the Cryptographic Message Syntax (CMS)” <draft-ietf-lamps-cms-shakes-04>.  Please review the document and send your comments to the list by 15 December 2018.
> 
> The datatracker page for the document is https://datatracker.ietf.org/doc/draft-ietf-lamps-cms-shakes/
> 
> Thanks,
> Russ & Tim

---

From: Russ Housley <[email-masked]>
Date: Mon, 17 Dec 2018 13:06:01 -0500

I observed three problems when working on the shepherd write-up.

(1) I observed that three informative references are missing:

  == Missing Reference: 'RFC5753' is mentioned on line 524

  == Missing Reference: 'RFC6268' is mentioned on line 612

  == Missing Reference: 'RFC5911' is mentioned on line 619

These are all part of comments in the ASN.1 module.

(2) The ASN.1 module calls for the assignment of a module identifier by IANA.  The IANA considerations need to ask IANA to assign this value.

I suggest this text:

   One object identifier for the ASN.1 module in Appendix A was
   assigned in the SMI Security for S/MIME Module Identifiers
   (1.2.840.113549.1.9.16.0) registry:

   CMSAlgsForSHAKE-2018 { { iso(1) member-body(2) us(840)
        rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) modules(0)
        id-mod-cms-shakes(TBD) }

(3) The ASN.1 module does not compile.  I will send corrections.

Can the authors quickly update the document?

Russ

> On Dec 17, 2018, at 11:29 AM, Russ Housley <[email-masked]> wrote:
>

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Tue, 18 Dec 2018 21:46:24 +0000

Thanks Russ, I just posted -05 that address all 3. 
It also adds a blurb under the acknowledgements to acknowledge your help with this. 
Panos

-----Original Message-----
From: Spasm <[email-masked]> On Behalf Of Russ Housley
Sent: Monday, December 17, 2018 1:06 PM
To: SPASM <[email-masked]>
Subject: Re: [lamps] WG Last Call for draft-ietf-lamps-cms-shakes-04

I suggest this text:

Russ

>> The datatracker page for the document is https://datatracker.ietf.org/doc/draft-ietf-lamps-cms-shakes/

_______________________________________________
Spasm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/spasm